<?php
/* Autor...:  */
/* Esquema.: ALM_InventarioFisico.xml */
/* Generado: 2020-08-18 04:21:23 */

/* Metodos de acceso a los campos de la tabla ALM_InventarioFisico */
abstract class BaseALM_InventarioFisicoBN
{
    /* Campos de la tabla */
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $s_IdNumeroInventario;    // IdNumeroInventario: ( no definido )
    private $d_FechaInventario;    // FechaInventario: ( no definido )
    private $s_InventariadoPor;    // InventariadoPor: ( no definido )
    private $u_Comentarios;    // Comentarios: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo IdNumeroInventario */
    public function setIdNumeroInventario( $s_IdNumeroInventario )
    {
        $this->s_IdNumeroInventario = $s_IdNumeroInventario;
    }

    /* Obtiene el valor del campo IdNumeroInventario */
    public function getIdNumeroInventario()
    {
        return $this->s_IdNumeroInventario;
    }

    /* Establece el valor del campo FechaInventario */
    public function setFechaInventario( $d_FechaInventario )
    {
        $this->d_FechaInventario = $d_FechaInventario;
    }

    /* Obtiene el valor del campo FechaInventario */
    public function getFechaInventario()
    {
        return $this->d_FechaInventario;
    }

    /* Establece el valor del campo InventariadoPor */
    public function setInventariadoPor( $s_InventariadoPor )
    {
        $this->s_InventariadoPor = $s_InventariadoPor;
    }

    /* Obtiene el valor del campo InventariadoPor */
    public function getInventariadoPor()
    {
        return $this->s_InventariadoPor;
    }

    /* Establece el valor del campo Comentarios */
    public function setComentarios( $u_Comentarios )
    {
        $this->u_Comentarios = $u_Comentarios;
    }

    /* Obtiene el valor del campo Comentarios */
    public function getComentarios()
    {
        return $this->u_Comentarios;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdCompania' => $this->getIdCompania(),
            'IdNumeroInventario' => $this->getIdNumeroInventario(),
            'FechaInventario' => $this->getFechaInventario(),
            'InventariadoPor' => $this->getInventariadoPor(),
            'Comentarios' => $this->getComentarios(),
            'Estado' => $this->getEstado(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto ALM_InventarioFisicoBN desde un RecordSet */
    public static function retrieveByRs( $o_ALM_InventarioFisicoRs )
    {
        $o_ALM_InventarioFisicoBN = new ALM_InventarioFisicoBN();
        $o_ALM_InventarioFisicoBN->setIdCompania( ( integer ) $o_ALM_InventarioFisicoRs[ "IdCompania" ] );
        $o_ALM_InventarioFisicoBN->setIdNumeroInventario( $o_ALM_InventarioFisicoRs[ "IdNumeroInventario" ] );
        $o_ALM_InventarioFisicoBN->setFechaInventario( utilTimestamp::getTimestamp( $o_ALM_InventarioFisicoRs[ "FechaInventario" ], "Y-m-d" ) );
        $o_ALM_InventarioFisicoBN->setInventariadoPor( $o_ALM_InventarioFisicoRs[ "InventariadoPor" ] );
        $o_ALM_InventarioFisicoBN->setComentarios( $o_ALM_InventarioFisicoRs[ "Comentarios" ] );
        $o_ALM_InventarioFisicoBN->setEstado( $o_ALM_InventarioFisicoRs[ "Estado" ] );
        $o_ALM_InventarioFisicoBN->setUsuarioCreacion( $o_ALM_InventarioFisicoRs[ "UsuarioCreacion" ] );
        $o_ALM_InventarioFisicoBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_ALM_InventarioFisicoRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_ALM_InventarioFisicoBN->setUsuarioModificacion( $o_ALM_InventarioFisicoRs[ "UsuarioModificacion" ] );
        $o_ALM_InventarioFisicoBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_ALM_InventarioFisicoRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        return $o_ALM_InventarioFisicoBN;
    }
}
?>